## linda 0.3.23

=== Makefile ===
DESTDIR=""
VERSION := $(shell dpkg-parsechangelog | grep Version | cut -d' ' -f2)

install:
	install -d -m 755 $(DESTDIR)/usr/bin
	install -d -m 755 $(DESTDIR)/usr/lib/site-python/linda
	install -d -m 755 $(DESTDIR)/usr/lib/site-python/linda/parser
	install -d -m 755 $(DESTDIR)/usr/share/linda/checks
	install -d -m 755 $(DESTDIR)/usr/share/linda/data
	install -d -m 755 $(DESTDIR)/usr/share/linda/output
	install -d -m 755 $(DESTDIR)/usr/share/linda/overrides
	install -d -m 755 $(DESTDIR)/usr/share/linda/po
	install -m 755 linda $(DESTDIR)/usr/bin
	install -m 644 *py $(DESTDIR)/usr/lib/site-python/linda
	install -m 644 parser/*py $(DESTDIR)/usr/lib/site-python/linda/parser
	cat $(DESTDIR)/usr/lib/site-python/linda/parser/clparser.py | \
	sed -e 's/VERSION/$(VERSION)/' > \
	$(DESTDIR)/usr/lib/site-python/linda/parser/clparser.py.new
	mv $(DESTDIR)/usr/lib/site-python/linda/parser/clparser.py.new \
	$(DESTDIR)/usr/lib/site-python/linda/parser/clparser.py
	install -m 644 data/*data $(DESTDIR)/usr/share/linda/data
	install -m 644 checks/*py $(DESTDIR)/usr/share/linda/checks
	install -m 644 output/*py $(DESTDIR)/usr/share/linda/output
	$(MAKE) -C po all
	install -m 644 po/*.mo $(DESTDIR)/usr/share/linda/po

test:
	install -m 644 munge_po $(DESTDIR)/usr/lib/site-python/munge_po.py
	LC_ALL=C PYTHONPATH=$(DESTDIR)/usr/lib/site-python tests/run_tests.py
	find . -name '*.py?' | xargs $(RM)
	$(RM) $(DESTDIR)/usr/lib/site-python/munge_po.py

clean:
	find . -name '*.py?' -o -name '.#*' -o -name '.*.swp' | xargs $(RM)
	$(MAKE) -C po $@

distclean: clean
	$(MAKE) -C po $@

.PHONY: install test clean distclean

=== debian/changelog ===
linda (0.3.23) unstable; urgency=low

  * Collector:
    - Deal with tar output changing. (Closes: #375244)
  * BinaryCheck:
    - Deal with libraries that have no SOVER. (Closes: #367879)

 -- Steve Kowalik <stevenk@debian.org>  Tue, 27 Jun 2006 13:49:52 +1000

linda (0.3.22) unstable; urgency=low

  * Update copyright date.
  * Add debugging for which charset we are using.
  * Manual page:
    - Add an example for -t. (Closes: #363919)
  * Collector:
    - Since nothing now uses it, rip out running ldd.
  * BinaryCheck:
    - Rip out libs-not-in-depends.
      (Closes: #357727, #360391, #364140, #365478)
    - Rewrite the double-shlibs check to use objdump. (Closes: #361782)
  * ChangelogCheck:
    - Only complain about a changelog that is HTML only if file actually 
      reports it as being HTML. (Closes: #361868)
  * ControlCheck:
    - The correct Section is doc. (Closes: #364812)
  * DocumentationCheck:
    - Only check doc-base files in /usr/share/doc-base. (Closes: #364511)
  * FilesCheck:
    - Only complain if the output from file doesn't contain executable.
      (Closes: #367037)
  * LibraryCheck:
    - Don't use symlinks that have no SOVER. (Closes: #313587)
  * MenuCheck:
    - Special case WindowManagers as an allowable top-level section.
      (Closes: #364162)
  * StandardsVersionCheck:
    - Mark Policy 3.5 as out of date.
    - Update newer check to Policy 3.7.2. (Closes: #365663)

 -- Steve Kowalik <stevenk@debian.org>  Wed, 17 May 2006 22:19:17 +1000

linda (0.3.21) unstable; urgency=low

  * BinaryCheck:
    - Deal with libz, which seems to be a special case for
      libs-not-in-depends.

 -- Steve Kowalik <stevenk@debian.org>  Wed, 29 Mar 2006 17:40:55 +1100

linda (0.3.20) unstable; urgency=low

  * TestSuite:
    - Don't depend so heavily on the output of file. (Closes: #358409)
  * BinaryCheck:
    - Also split on _ for libs-not-in-depends. (Closes: #358685)

 -- Steve Kowalik <stevenk@debian.org>  Fri, 24 Mar 2006 17:12:24 +1100

linda (0.3.19) unstable; urgency=low

  * TestSuite:
    - Correct failure due to the output of file changing.
  * Unpacking:
    - Deal better with a data.tar.gz we can't extract. (Closes: #338852)
  * BinaryCheck:
    - Use objdump, and not ldd to check for libraries that need to be 
      depended on, and also check Pre-Depends. (Closes: #357727)
    - Change the description of libs-not-in-depends. (thanks,  Adeodato 
      Simó)
  * ControlCheck:
    - Check that packages that end with -doc{,s} are in Section: docs.
      (Closes: #348586)
  * LibraryCheck:
    - Deal with sonames that contain dashes. (Closes: #345871)
  * MenuCheck:
    - Skip commands that contain killall or su-to-root.
      (Closes: #337661, #353433)
    - Search a path for commands that don't specify a full path.
      (Closes: #319363, #343939)

 -- Steve Kowalik <stevenk@debian.org>  Wed, 22 Mar 2006 22:41:34 +1100

linda (0.3.18) unstable; urgency=low

  * Linda:
    - Parse command-line arguments in bootstrap, not __init__. This means
      that people can import linda without it parsing and complaining about
      arguments.
    - Version the dependancy on dpkg-dev. (Closes: #342258)
    - Install .mo files under linda.root instead of under locales. This
      mainly fixes Linda breaking when localepurge is run. (Closes: #354764)
  * Overrides:
    - Deal with multiple tags in an override file. (Closes: #347746)
  * Testsuite:
    - Run tests with the C locale, preventing breakage in CollectorBaseTest
      and possibly in other tests. (Closes: #355062)
  * DpkgVersion:
    - Tell which upstream version we have a problem with. (Closes: #349310)
  * BinaryCheck:
    - Add a basic check that sees if we Depend on libraries we link against.
  * ControlCheck:
    - Only complain about new essential packages if Essential: yes.
      (Closes: #340271)
  * DocumentationCheck:
    - Quote the filename we throw to lexgrog. (Closes: #345632)
  * FilesCheck:
    - Also check for .git directories. (Closes: #347892)
  * UDebBinaryCheck:
    - Correctly check for files directly in /usr/share. (Closes: #352250)

 -- Steve Kowalik <stevenk@debian.org>  Fri, 17 Mar 2006 00:02:04 +1100

=== debian/control ===
Source: linda
Priority: optional
Section: devel
Maintainer: Steve Kowalik <stevenk@debian.org>
Build-Depends-Indep: python, debhelper (>= 4.0.0), file, dash, man-db, python-epydoc
Standards-Version: 3.6.2

Package: linda
Architecture: all
Depends: ${python:Depends}, binutils, file, dash, man-db, dpkg-dev (>=1.13.11)
Recommends: debian-policy
Suggests: binutils-multiarch, figlet
Provides: lintian-python
Conflicts: file (= 4.04)
Description: Debian package checker, not unlike lintian
 Linda is a Debian package checker, much like lintian, that
 runs some rudimentary checks over source and binary packages
 to see if they comply to Policy.
 .
 Linda has a greater featureset than Lintian, providing
 (among other things) English descriptions, fully
 translatable strings, and can print using different formats.

=== debian/rules ===
#!/usr/bin/make -f 

build: build-stamp
build-stamp:
	dh_testdir
	touch $@

clean:
	$(RM) -r build-stamp install-stamp test-stamp
	$(RM) debian/copyright
	$(MAKE) $@
	$(MAKE) -C po $@
	$(RM) po/*.mo
	dh_clean

test: test-stamp
test-stamp: doc-stamp
	$(MAKE) test DESTDIR="$(CURDIR)/debian/linda"
	touch $@

install: build-stamp install-stamp
install-stamp:
	$(MAKE) install DESTDIR="$(CURDIR)/debian/linda"
	ln -s $(CURDIR)/copyright $(CURDIR)/debian/copyright
	touch $@

doc: doc-stamp
doc-stamp: install-stamp
	mkdir -p $(CURDIR)/debian/linda/usr/share/doc/linda/html
	epydoc --no-frames --help-file doc/help.html -o $(CURDIR)/debian/linda/usr/share/doc/linda/html $(CURDIR)/debian/linda/usr/lib/site-python/linda

binary-indep: build-stamp install-stamp doc-stamp test-stamp
	dh_testroot
	dh_installdirs
	dh_installdocs -X.svn
	dh_installman
	dh_installchangelogs
	dh_python
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install test

## linda 0.3.24

=== Makefile ===
DESTDIR=""
VERSION := $(shell dpkg-parsechangelog | grep Version | cut -d' ' -f2)
PYMODPATH ?= "usr/lib/site-python"

install:
	install -d -m 755 $(DESTDIR)/usr/bin
	install -d -m 755 $(DESTDIR)/$(PYMODPATH)
	install -d -m 755 $(DESTDIR)/$(PYMODPATH)/linda
	install -d -m 755 $(DESTDIR)/$(PYMODPATH)/linda/parser
	install -d -m 755 $(DESTDIR)/usr/share/linda/checks
	install -d -m 755 $(DESTDIR)/usr/share/linda/data
	install -d -m 755 $(DESTDIR)/usr/share/linda/output
	install -d -m 755 $(DESTDIR)/usr/share/linda/overrides
	install -d -m 755 $(DESTDIR)/usr/share/linda/po
	install -m 755 linda $(DESTDIR)/usr/bin
	install -m 644 *py $(DESTDIR)/$(PYMODPATH)/linda
	install -m 644 parser/*py $(DESTDIR)/$(PYMODPATH)/linda/parser
	cat $(DESTDIR)/$(PYMODPATH)/linda/parser/clparser.py | \
	sed -e 's/VERSION/$(VERSION)/' > \
	$(DESTDIR)/$(PYMODPATH)/linda/parser/clparser.py.new
	mv $(DESTDIR)/$(PYMODPATH)/linda/parser/clparser.py.new \
	$(DESTDIR)/$(PYMODPATH)/linda/parser/clparser.py
	install -m 644 data/*data $(DESTDIR)/usr/share/linda/data
	install -m 644 checks/*py $(DESTDIR)/usr/share/linda/checks
	install -m 644 output/*py $(DESTDIR)/usr/share/linda/output
	$(MAKE) -C po all
	install -m 644 po/*.mo $(DESTDIR)/usr/share/linda/po

test:
	install -m 644 munge_po $(DESTDIR)/$(PYMODPATH)/munge_po.py
	LC_ALL=C PYTHONPATH=$(DESTDIR)/$(PYMODPATH) tests/run_tests.py
	find . -name '*.py?' | xargs $(RM)
	$(RM) $(DESTDIR)/$(PYMODPATH)/munge_po.py

clean:
	find . -name '*.py?' -o -name '.#*' -o -name '.*.swp' | xargs $(RM)
	$(MAKE) -C po $@

distclean: clean
	$(MAKE) -C po $@

.PHONY: install test clean distclean

=== debian/changelog ===
linda (0.3.24) unstable; urgency=low

  * Packaging:
    - Switch to new Python policy. (Closes: #380856)
    - Bump Standards-Version to 3.7.2.
    - Switch to debhelper 5, while I'm at it.
  * Collector:
    - Deal with files containing ': ' while parsing the output from file.
      (Closes: #376354)
  * ControlParser:
    - Deal with extra bits in parsed fields. (Closes: #380012)
  * OverrideParser:
    - Only split on the first :. (Closes: #377500)
  * ExampleFilesCheck:
    - Don't complain if the package is dh-make. (Closes: #369944)
  
 -- Steve Kowalik <stevenk@debian.org>  Tue,  8 Aug 2006 18:25:09 +1000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Priority: optional
 Section: devel
 Maintainer: Steve Kowalik <stevenk@debian.org>
-Build-Depends-Indep: python, debhelper (>= 4.0.0), file, dash, man-db, python-epydoc
-Standards-Version: 3.6.2
+XS-Python-Version: all
+Build-Depends-Indep: python-all, python-support, debhelper (>= 5), file, dash, man-db, python-epydoc
+Standards-Version: 3.7.2
 
 Package: linda
 Architecture: all
+XB-Python-Version: all
 Depends: ${python:Depends}, binutils, file, dash, man-db, dpkg-dev (>=1.13.11)
 Recommends: debian-policy
 Suggests: binutils-multiarch, figlet

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f 
+
+export PYMODPATH="usr/share/python-support/linda"
 
 build: build-stamp
 build-stamp:
@@ -27,7 +29,7 @@
 doc: doc-stamp
 doc-stamp: install-stamp
 	mkdir -p $(CURDIR)/debian/linda/usr/share/doc/linda/html
-	epydoc --no-frames --help-file doc/help.html -o $(CURDIR)/debian/linda/usr/share/doc/linda/html $(CURDIR)/debian/linda/usr/lib/site-python/linda
+	epydoc --no-frames --help-file doc/help.html -o $(CURDIR)/debian/linda/usr/share/doc/linda/html $(CURDIR)/debian/linda/$(PYMODPATH)/linda
 
 binary-indep: build-stamp install-stamp doc-stamp test-stamp
 	dh_testroot
@@ -35,6 +37,7 @@
 	dh_installdocs -X.svn
 	dh_installman
 	dh_installchangelogs
+	dh_pysupport
 	dh_python
 	dh_compress
 	dh_fixperms

## linda 0.3.26ubuntu1

=== debian/changelog ===
linda (0.3.26ubuntu1) gutsy; urgency=low

  * Cope with TMPDIR being set to a pathname with >1 component.
    Fixes autopkgest FTBFS, LP: #137187.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 11 Oct 2007 19:03:37 +0100

linda (0.3.26) unstable; urgency=low

  * LibraryCheck:
    - Deal with SONAMEs that have a -. (Closes: #429203)

 -- Steve Kowalik <stevenk@debian.org>  Sat, 16 Jun 2007 21:10:50 +1000

linda (0.3.25) unstable; urgency=medium

  * Packaging:
    - Add a binary-arch target. (Closes: #395617)
    - Remove dh_python from debian/rules.
    - Remove X{SB}-Python-Version from debian/control.
    - Add a note that comments (#) in an override file are ignored.
      (Closes: #383523)
  * Checker:
    - Call raise properly. (Closes: #396244)
  * Collector:
    - Deal with filenames that contain $. (Closes: #406944)
  * Unpacking:
    - Correctly report that we couldn't make the lab directory.
      (Closes: #394038)
  * Collector:
    - Change the seperator for running file.
      (Closes: #385891, #389481, #416904, #423580)
      (thanks, Nicolas François)
  * MenuParser:
    - Deal with icon{16x16,32x32} fields. (Closes: #392991)
  * BinaryCheck:
    - Remove duplicate entry in the data file.
    - Document Policy section for unstripped-binary. (Closes: #394420)
  * DocumentationCheck:
    - Add fp.strip as per patch from Brett Parker. (Closes: #368557)
    - Deal with devhelp directories that are symlinks. (Closes: #374187)
    - Deal correctly with manual pages that contain uppercase characters
      in their extensions. (Closes: #412277)
  * ExampleFilesCheck:
    - Add a note about Linda not being able to reliably detect the removal
      of files in the clean target. (Closes: #392200)
  * LibraryCheck:
    - Reword library-not-equal. (Closes: #418328) (thanks, MJ Ray)

 -- Steve Kowalik <stevenk@debian.org>  Fri, 15 Jun 2007 10:51:59 +1000

## linda 0.3.26ubuntu2~gutsy1

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995-1997, 2000, 2001 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = linda
prefix = /usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po
srcdir = .

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = ../mkinstalldirs

MSGFMT = /usr/bin/msgfmt --statistics
XGETTEXT = /usr/bin/pygettext
MSGMERGE = msgmerge

POFILES =  $(wildcard *.po)
MOFILES =  $(patsubst %.po,%.mo,$(POFILES))

POTFILES = ../linda ../*.py ../checks/*.py ../parser/*.py ../output/*.py

PYMODPATH ?= "usr/lib/site-python"

all: $(MOFILES) $(PACKAGE).pot

.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) -o $@ $<

$(PACKAGE).pot: $(POTFILES)
	if test -f $(XGETTEXT); then \
		$(XGETTEXT) -d $(PACKAGE) \
			$(POTFILES); \
	else \
		touch $@; \
	fi
	cd .. && PYTHONPATH=$(DESTDIR)/$(PYMODPATH) LANGUAGE=english ./munge_po >> po/$@

install: all
	for file in $(MOFILES); do \
                lang=`echo $$file | sed 's/\.mo//'`; \
                install -d $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/; \
                install -m 0644 $$file $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
        done

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.new.po
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f *.mo $(PACKAGE).pot

update-po: Makefile
	$(MAKE) $(PACKAGE).pot
	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; fi; \
        cd $(srcdir); \
        catalogs='$(MOFILES)'; \
        for cat in $$catalogs; do \
          cat=`basename $$cat`; \
          lang=`echo $$cat | sed 's/\.mo$$//'`; \
          echo "$$lang:"; \
          if $(MSGMERGE) $$lang.po $(PACKAGE).pot -o $$lang.new.po; then \
            mv -f $$lang.new.po $$lang.po; \
          else \
            echo "msgmerge for $$cat failed!"; \
            rm -f $$lang.new.po; \
          fi; \
        done

=== debian/changelog ===
linda (0.3.26ubuntu2~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Emmet Hikory <persia@ubuntu.com>  Tue, 18 Dec 2007 17:21:15 +0000

linda (0.3.26ubuntu2) hardy; urgency=low

  * Applied menu system patch from Y Giridhar Appaji Nag to give useful
    output when checking package compliance with the new menu system.
    (patch pulled from BTS entry 434989) (LP: #163485)

 -- Emmet Hikory <persia@ubuntu.com>  Sun, 18 Nov 2007 14:27:47 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: linda
 Priority: optional
 Section: devel
-Maintainer: Steve Kowalik <stevenk@debian.org>
-XS-Python-Version: all
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve Kowalik <stevenk@debian.org>
 Build-Depends-Indep: python-all, python-support, debhelper (>= 5), file, dash, man-db, python-epydoc
 Standards-Version: 3.7.2
 
 Package: linda
 Architecture: all
-XB-Python-Version: all
 Depends: ${python:Depends}, binutils, file, dash, man-db, dpkg-dev (>=1.13.11)
 Recommends: debian-policy
 Suggests: binutils-multiarch, figlet

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,9 @@
 	mkdir -p $(CURDIR)/debian/linda/usr/share/doc/linda/html
 	epydoc --no-frames --help-file doc/help.html -o $(CURDIR)/debian/linda/usr/share/doc/linda/html $(CURDIR)/debian/linda/$(PYMODPATH)/linda
 
+binary-arch: 
+	dh_testroot
+
 binary-indep: build-stamp install-stamp doc-stamp test-stamp
 	dh_testroot
 	dh_installdirs
@@ -38,7 +41,6 @@
 	dh_installman
 	dh_installchangelogs
 	dh_pysupport
-	dh_python
 	dh_compress
 	dh_fixperms
 	dh_installdeb
